# https://www.reddit.com/r/RenPy/comments/16i3kid/rolling_credits_in_renpy_heres_how_you_do_it/?utm_source=share&utm_medium=web3x&utm_name=web3xcss&utm_term=1&utm_content=share_button

label credits:
    image blue  = "#364F85"
    scene blue
    with fade
    show screen creditscreen
    pause 120 # or however long it takes to scroll through in a reasonable speed
    pause
    hide screen creditscreen
    return

screen creditscreen:
    style_prefix "credits"

    vbox:
        xsize 1100 # horizontal size of the credits
        ysize 1000 # how much vertical space your rolling credits take.
        xalign 0.5
        yalign 0.0
        at transform:
            subpixel True
            easein 18: # or however long it takes to scroll through in a reasonable speed
                yalign 1.0
        vbox:
            ysize 1080 # enter vertical resolution, so that it starts with an empty screen
        text "credits" size 45
        text ""
        text ""
        text "{u}music & SFX{/u}" bold True    # music
        text ""
        text "DJARTMUSIC, \"Mug Full of Tunes\""
        text "eqylizer, \"High-Pitched Two-Note Notification\""
        text "Rudmer_Rotteveel, \"Electronic Timer Beeping 4X\""
        text ""
        text ""
        text "{u}UI elements{/u}" bold True    # UI
        text ""
        text "playthelastsecret, \"Rolling credits in Ren'Py – Here's how you do it\""
        text "Nighten, \"yet another phone for renpy\""
        text "tofurocks, \"Separated History Screen\""
        text ""
        text ""
        text "{u}code{/u}" bold True    # code
        text ""
        text "Paul Okopny, \"PyTracery for Renpy\""
        text ""
        text ""
        text "{u}cat names: honourable mentions{/u}" bold True    # cat names
        text "suggestions harvested from my lovely friends <3" size 30
        text ""
        text "Cattery Acid"
        text "Beesechurger"
        text "Bat, short for Battery Beanbag Buckingham the Bird"
        text "Catalogue"
        text "Caterpillar"
        text "Binnabon Boll"
        text "Gregory"
        text "Catt Meowltese"
        text "Born on the Bob"
        text "Crouton Cathedral"
        text "Gort"
        text ""
        text ""
        text "made with Ren'Py 8.3.2" size 30
        null height 1080
        text "thanks for playing!"
        null height 525

style credits_text:
    font "ZenMaruGothic-Regular.ttf"
    size 35
    color "#E2E6E0"
    xalign 0.5